Problem z instalacją

Konfiguracja serwerów, usług, itp.
Mentaris
Posty: 7
Rejestracja: 05 marca 2018, 16:09

Problem z instalacją

Post autor: Mentaris » 05 marca 2018, 16:32

Witam, mam problem z upgrade i instalacją fail2ban, mianowicie po próbie instalacji, dostaję taką oto informacje zwrotną:

Kod: Zaznacz cały

Zostaną zainstalowane następujące NOWE pakiety:
  fail2ban
0 aktualizowanych, 1 nowo instalowanych, 0 usuwanych i 372 nieaktualizowanych.
Konieczne pobranie 165 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 577 kB miejsca na dysku.
Pobieranie:1 http://ftp.pl.debian.org/debian/ jessie/main fail2ban all 0.8.13-1 [165 kB]
Pobrano 165 kB w 0s (988 kB/s)
/usr/bin/python: error while loading shared libraries: ▒ibRthreaD.so.0 OKTE[dmrew}stej]CloneTafd▒: cannot open shared object file: No such file or directory
Wybieranie wcześniej niewybranego pakietu fail2ban.
dpkg: nienaprawialny błąd krytyczny, przerywanie:
 lista plików pakietu "mime-support" nie zawiera kończącej pustej linii
E: Sub-process /usr/bin/dpkg returned an error code (2)
a w przypadku upgrade:

Kod: Zaznacz cały

/usr/bin/python: error while loading shared libraries: ▒ibRthreaD.so.0 OKTE[dmrew}stej]CloneTafd▒: cannot open shared object file: No such file or directory
Rozpakowywanie szablonów dla pakietów: 100%
Prekonfiguracja pakietów ...
dpkg: nienaprawialny błąd krytyczny, przerywanie:
 lista plików pakietu "mime-support" nie zawiera kończącej pustej linii
E: Sub-process /usr/bin/dpkg returned an error code (2)
Wie ktoś o co w tym chodzi? Sam jestem totalnym amatorem w tych sprawach

Awatar użytkownika
marcin1982
Moderator
Posty: 1687
Rejestracja: 05 maja 2011, 12:59
Lokalizacja: Zagłębie Dąbrowskie

Re: Problem z instalacją

Post autor: marcin1982 » 05 marca 2018, 19:07

Jakiej wersji Debiana używasz?

System jest nieaktualizowany od nie wiadomo kiedy, pokaż wynik poleceń jako root:

Kod: Zaznacz cały

apt-get update

Kod: Zaznacz cały

apt-get -s dist-upgrade

Mentaris
Posty: 7
Rejestracja: 05 marca 2018, 16:09

Re: Problem z instalacją

Post autor: Mentaris » 06 marca 2018, 12:16

Wynik apt-get update

Kod: Zaznacz cały

Ign.  cdrom://[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02] jessie InRelease
Ign.  cdrom://[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02] jessie Release.gpg
Ign.  cdrom://[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02] jessie Release
Ign.  cdrom://[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02] jessie/main i386 Packages/DiffIndex
Ign.  cdrom://[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02] jessie/main Translation-pl_PL
Ign.  http://ftp.pl.debian.org jessie InRelease
Pobieranie:1 http://ftp.pl.debian.org jessie-updates InRelease [145 kB]
Pobieranie:2 http://security.debian.org jessie/updates InRelease [63,1 kB]
Stary http://ftp.pl.debian.org jessie Release.gpg
Stary http://ftp.pl.debian.org jessie Release
Stary http://ftp.pl.debian.org jessie-updates/main Sources
Pobieranie:3 http://ftp.pl.debian.org jessie-updates/main i386 Packages/DiffIndex [10,9 kB]
Pobieranie:4 http://ftp.pl.debian.org jessie-updates/main Translation-en/DiffIndex [3688 B]
Stary http://security.debian.org jessie/updates/main Sources
Stary http://ftp.pl.debian.org jessie/main Sources
Stary http://security.debian.org jessie/updates/main i386 Packages
Stary http://ftp.pl.debian.org jessie/main i386 Packages
Stary http://ftp.pl.debian.org jessie/main Translation-pl
Stary http://ftp.pl.debian.org jessie/main Translation-en
Stary http://security.debian.org jessie/updates/main Translation-en
Pobrano 223 kB w 16s (13,2 kB/s)
Czytanie list pakietów... Gotowe
Wynik apt-get -s dist-update
http://wklej.org/id/3379536/

No to fakt, troszkę do niego nie zaglądałem. Ja tam raczej potrzebuje go jako hosta na moje portfolio i jako taki prosty ftp, dlatego też jakoś nie specjalnie zgłębiałem wiedze na temat administracji takich rzeczy. To był chyba mój błąd.

Awatar użytkownika
marcin1982
Moderator
Posty: 1687
Rejestracja: 05 maja 2011, 12:59
Lokalizacja: Zagłębie Dąbrowskie

Re: Problem z instalacją

Post autor: marcin1982 » 06 marca 2018, 17:48

Usuń płytę CD jako źródło oprogramowania z pliku /etc/apt/sources.list. Potem - z tego co widać możesz spokojnie zaktualizaować. Na samym końcu zainstluj fail2ban.

Jeśli masz wątpliwości pokaż repozytoria:

Kod: Zaznacz cały

cat /etc/apt/sources.list

Mentaris
Posty: 7
Rejestracja: 05 marca 2018, 16:09

Re: Problem z instalacją

Post autor: Mentaris » 06 marca 2018, 21:58

Okay.. to dość dziwne, ponieważ mój serwer nie ma nawet czytnika płyt. Jest zwykłym terminalem, a do niego podpięty pendrive. W dodatku kiedyś wszystko działało sprawnie. Jednak spoko, tak zaniedbałem ten terminal, że jak go rozkręciłem wczoraj, to pasta termo była już bardziej kawałkami substancji stałej.

Kod: Zaznacz cały

#

# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02]/ jessie main

deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02]/ jessie main

deb http://ftp.pl.debian.org/debian/ jessie main
deb-src http://ftp.pl.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
deb http://ftp.pl.debian.org/debian/ jessie-updates main
deb-src http://ftp.pl.debian.org/debian/ jessie-updates main
Mógłbyś mi wytłumaczyć jak to zrobić? W sensie, jasne mogę usunąć linijkę z deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02]/ jessie main - bo to chyba o to chodzi, jednak, czy nie powinien znajdować się tam jakiś zamiennik? W sensie że deb_pendrive czy coś. Wiesz, nie chce nic schrzanić, eh.. tyle kiedyś siedziałem by ten server postawić.

Awatar użytkownika
ryba84
Beginner
Posty: 339
Rejestracja: 08 lipca 2007, 14:55
Lokalizacja: LDZ

Re: Problem z instalacją

Post autor: ryba84 » 07 marca 2018, 16:45

Nie powinien. Usuń te linijki i później:

Kod: Zaznacz cały

apt-get update && apt-get dist-upgrade

Mentaris
Posty: 7
Rejestracja: 05 marca 2018, 16:09

Re: Problem z instalacją

Post autor: Mentaris » 07 marca 2018, 18:35

Usunąłem także linki, teraz już errora nie ma, jednak gdy chce:

Kod: Zaznacz cały

apt-get install fail2ban
dostaje info że nie udało się odnaleźć takiego pakietu.

Awatar użytkownika
Yampress
Administrator
Posty: 6075
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Problem z instalacją

Post autor: Yampress » 07 marca 2018, 20:38

masz stary system . aktualbnie masz oldstable. przydałoby się aktualizacja do ostatniego wydania stabilnego...

pokaż co masz w pliku /etc/apt/sources.list

Mentaris
Posty: 7
Rejestracja: 05 marca 2018, 16:09

Re: Problem z instalacją

Post autor: Mentaris » 08 marca 2018, 11:41

To co wysłałem wyżej, z tymi linkami itp to jest zawartość sourcces.list.
Usunąłem

Kod: Zaznacz cały

deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02]
ryba84 radził, bym usunął też linki poniżej, tak też zrobiłem. Więc po tym zabiegu praktycznie nic nie zostało, prócz komentarzy.
Oczywiście użyłem tej komendy aktualizującej jako root.

Kod: Zaznacz cały

#

# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official i386 CD Binary-1 20150906-10:02]/ jessie main


# jessie-updates, previously known as 'volatile'

Da się zaktualizować ten debian paroma komendami, czy raczej nie jest tak kolorowo?

Awatar użytkownika
LordRuthwen
Moderator
Posty: 1919
Rejestracja: 18 września 2009, 21:45
Lokalizacja: klikash?

Re: Problem z instalacją

Post autor: LordRuthwen » 08 marca 2018, 11:47

Ryba nic takiego radził, później a nie poniżej...
Dodaj:

Kod: Zaznacz cały

deb http://ftp.pl.debian.org/debian/ jessie main
deb-src http://ftp.pl.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main
i wykonaj:

Kod: Zaznacz cały

apt-get update && apt-get dist-upgrade && apt-get install fail2ban

ODPOWIEDZ